package com.imprimelibros.erp.presupuesto.validation;

import jakarta.validation.ConstraintValidator;
import jakarta.validation.ConstraintValidatorContext;

public class ParValidator implements ConstraintValidator<Par, Integer> {

    @Override
    public boolean isValid(Integer value, ConstraintValidatorContext context) {
        if (value == null) return true; // se permite null, usa @NotNull aparte si lo necesitas
        return value % 2 == 0;
    }
}

